Create Immediate Charge with txid

The "txid" (Transaction ID) is a unique identifier used to identify transactions in the instant payment system (PIX). This identifier is crucial for tracking and managing transactions, especially in cases of immediate charges via the PIX API. It is generated by the integrator with the pattern [a-zA-Z0-9], with a minimum of 26 characters and a maximum of 35 characters.

🚧

The devedor field is required to have a CPF or CNPJ

Passing a devedor without a cpf or cnpj will result on a ERROR 400 response

📘

The modalidadeAgente field from the saque object must be filled according to the table:

ValueDescription
AGTECAgente Estabelecimento Comercial
AGTOTAgente Outra Espécie de Pessoa Jurídica ou Correspondente no País
AGPSSAgente Facilitador de Serviço de Saque

📘

The modalidadeAgente field from the troco object must be filled according to the table:

ValueDescription
AGTECAgente Estabelecimento Comercial
AGTOTAgente Outra Espécie de Pessoa Jurídica ou Correspondente no País

Response Parameters

ParameterTypeDescription
calendarioObjectExpiry Info of the Pix Charge
criacaoStringPix Charge Creation Timestamp
expiracaoStringPix Charge Time(in seconds) Until Expiry
txidStringPix Charge Unique Code
revisaoIntegerAmount of Time the Pix Charge Was Modified
devedorObjectPayer Info
cpf or cnpjStringPayer CPF or CNPJ
nomeStringPayer Name
locObjectLocation Object
idIntegerLocation Unique ID
locationSringLocation
tipoCobStringLocation Charge Type
locationStringLocation
statusStringPix Charge Current State
valorFloatPix Charge Amount
pixCopiaEColaStringPix Charge Pix Copia e Cola
chaveStringReceiver Pix Key
solicitacaoPagadorStringText to be Delivered to the Payer
infoAdicionaisArrayAdditional Info
nomeStringField Name
valorStringField data

Request Parameters

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here!